: Class Segment

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.ssi
Class Segment

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.Segment

public class Segment
extends java.lang.Object

Represents a segment within the parsed content

Field Summary
`protected static int` | `COMMAND`
`protected boolean` | `control`
`protected Request` | `request`
`protected static java.lang.String` | `SEPARATOR`
`protected SSIFrame` | `ssiframe`
`protected static int` | `UNPARSED`

Constructor Summary
`protected` | `Segment()`
`` | `Segment(int start, int end)`
`` | `Segment(SSIFrame ssiframe, java.lang.String commandName, ArrayDictionary parameters, int start, int end)`

Method Summary
`Reply` | `get()`
`Reply` | `init(SSIFrame ssiframe, Request request, java.util.Dictionary variables, CommandRegistry registry, int position)`
`boolean` | `isControl()`
`boolean` | `isUnparsed()`
`int` | `jumpTo()`
`boolean` | `needsRevalidate()`
`java.lang.String` | `pickle()`
`void` | `pickle(java.io.DataOutputStream out)`
`java.lang.String` | `toString()`
`static Segment` | `unpickle(java.io.DataInputStream in)`
`static Segment` | `unpickle(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNPARSED

    protected static final int UNPARSED

### COMMAND

    protected static final int COMMAND

### SEPARATOR

    protected static final java.lang.String SEPARATOR

### control

    protected boolean control

### ssiframe

    protected SSIFrame ssiframe

### request

    protected Request request

Constructor Detail

### Segment

    public Segment(int start,
                   int end)

### Segment

    public Segment(SSIFrame ssiframe,
                   java.lang.String commandName,
                   ArrayDictionary parameters,
                   int start,
                   int end)

### Segment

    protected Segment()

Method Detail

### isControl

    public boolean isControl()

### pickle

    public java.lang.String pickle()

### unpickle

    public static Segment unpickle(java.lang.String value)

### pickle

    public void pickle(java.io.DataOutputStream out)
                throws java.io.IOException

### unpickle

    public static Segment unpickle(java.io.DataInputStream in)
                            throws java.io.IOException

### isUnparsed

    public final boolean isUnparsed()

### toString

    public final java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### jumpTo

    public int jumpTo()
               throws ControlCommandException

### get

    public final Reply get()

### needsRevalidate

    public boolean needsRevalidate()

### init

    public final Reply init(SSIFrame ssiframe,
                            Request request,
                            java.util.Dictionary variables,
                            CommandRegistry registry,
                            int position)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD